<?php
// Conexión a la base de datos con MySQLi
$host = 'localhost';
$dbname = 'wolfburguers_dia';
$username = 'wolfburguers_cheke';
$password = 'Admin123.@$';  // Cambia si es necesario
// $host = 'localhost';
// $dbname = 'wolfburguers_dia';
// $username = 'root';
// $password = '';  // Cambia si es necesario

// Crear la conexión MySQLi
$conn = new mysqli($host, $username, $password, $dbname);

if ($conn->connect_error) {
    die(json_encode(['status' => 'error', 'message' => 'Error de conexión: ' . $conn->connect_error]));
}

// Recibir datos enviados desde el frontend
$data = json_decode(file_get_contents('php://input'), true);

if ($data) {
    $producto = $data['producto'];
    $cantidad = $data['cantidad'];
    $total = $data['total'];
    $fecha = $data['fecha'];  // Usar la fecha enviada desde el frontend
    $hora = $data['hora'];    // Mantener la hora del servidor

    // Obtener el ID del producto
    $stmt = $conn->prepare("SELECT id FROM productos WHERE nombre = ?");

    if (!$stmt) {
        die(json_encode(['status' => 'error', 'message' => 'Error en la preparación de la consulta: ' . $conn->error]));
    }

    $stmt->bind_param('s', $producto);  // 's' indica que el parámetro es una cadena
    $stmt->execute();
    $stmt->bind_result($producto_id);
    $stmt->fetch();
    $stmt->close();

    if ($producto_id) {
        

        // Insertar la venta en la base de datos
        $stmt = $conn->prepare("INSERT INTO ventas (producto_id, cantidad, total, fecha_venta, hora_venta) VALUES (?, ?, ?, ?, ?)");

        if (!$stmt) {
            die(json_encode(['status' => 'error', 'message' => 'Error en la preparación de la consulta: ' . $conn->error]));
        }


        // Vincular los parámetros
        $stmt->bind_param('iidss', $producto_id, $cantidad, $total, $fecha, $hora);




        // Ejecutar la consulta
        if ($stmt->execute()) {
            echo json_encode(['status' => 'success', 'message' => 'Venta registrada correctamente.']);
        } else {
            echo json_encode(['status' => 'error', 'message' => 'Error al registrar la venta.']);
        }


        // Cerrar la declaración
        $stmt->close();
    } else {
        echo json_encode(['status' => 'error', 'message' => 'Producto no encontrado.']);
    }
} else {
    echo json_encode(['status' => 'error', 'message' => 'No se recibieron datos.']);
}




// Cerrar la conexión
$conn->close();